package jp.sourceforge.cfneo.at4ie.api.impl.ie.invoker;

import jp.sourceforge.cfneo.at4ie.api.AT4IEAssertException;
import jp.sourceforge.cfneo.at4ie.api.Context;
import jp.sourceforge.cfneo.at4ie.api.Invoker;
import jp.sourceforge.cfneo.at4ie.api.TargetBrowser;
import jp.sourceforge.cfneo.at4ie.api.TestCase;

import org.apache.log4j.Logger;

/**
 * command=openのInvoker。<br />
 * ブラウザを開く、またはURLを指定してアクセスする。<br />
 * 注)現在、絶対パス以外には非対応。<br />
 * <br />
 * reference<br />
 * TestRunner のtest frame にて、指定したURL を開きます。相対パス又は絶対パスの両者とも指定可能です。<br />
 * 注）ブラウザにおけるセキュリティ制限(クロスサイトスクリプティング対策)の為、URLはSelenium と同じサイト上になければなりません。<br />
 * @author imaitakafumi
 *
 */
public class OpenInvoker extends Invoker {

	Logger logger = Logger.getLogger(OpenInvoker.class);

	/**
	 * コンストラクタ。
	 * @param context
	 * @param browser
	 */
	public OpenInvoker(Context context, TargetBrowser browser) {
		super(context, browser);
	}

	@Override
	public void invoke(TestCase testCase) throws AT4IEAssertException {
		logger.debug("IEOpenInvoker#invoke");
		super.getBrowser().open(testCase.getTarget());
	}

}
